<?php

namespace App\Entity;

use App\Repository\SubRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: SubRepository::class)]
class Sub
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(type: Types::ARRAY)]
    private array $subcriber = [];

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $subId = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getSubcriber(): array
    {
        return $this->subcriber;
    }

    public function setSubcriber(array $subcriber): static
    {
        $this->subcriber = $subcriber;

        return $this;
    }

    public function getSubId(): ?string
    {
        return $this->subId;
    }

    public function setSubId(?string $subId): static
    {
        $this->subId = $subId;

        return $this;
    }
}
